Protocol (Apache Tomcat 9.0.37 API Documentation)

org.apache.tomcat.util.net.openssl.ciphers

## Enum Protocol

- java.lang.Object
- - java.lang.Enum<Protocol>
  - - org.apache.tomcat.util.net.openssl.ciphers.Protocol

- All Implemented Interfaces:
    Serializable, Comparable<Protocol>

      public enum Protocol
      extends Enum<Protocol>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SSLv2`
    `SSLv3`
    `TLSv1`
    `TLSv1_2`
    `TLSv1_3`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Protocol` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Protocol[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SSLv3

          public static final Protocol SSLv3

    - #### SSLv2

          public static final Protocol SSLv2

    - #### TLSv1

          public static final Protocol TLSv1

    - #### TLSv1_2

          public static final Protocol TLSv1_2

    - #### TLSv1_3

          public static final Protocol TLSv1_3

  - ### Method Detail

    - #### values

          public static Protocol[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Protocol c : Protocol.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Protocol valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.